// pages/select_teaching/select_teaching.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pageNo:1,
    pageSize:10,
    list: [],
    bookName:'',
    isAdd:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    this.setData(options)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getTeachingList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  /**
   * 跳转
   */
  navigateCtl: app.navigateCtl,
  /**
   * 底部导航跳转
   */
  redirectCtl: app.redirectCtl,
  /**
   * 查询书名
   */
  inputCtl: function (e) {
    const { value } = e.detail
    this.setData({
      bookName: value
    })
    this.getTeachingList()
  },
  /**
  * 获取教辅
  */
  getTeachingList: function () {
    const postData = { fn: this.getTeachingList, param: { ...arguments } }
    let { pageNo, pageSize, grade, subject, list = [], bookName } = this.data
    // let { list } = this.data.libData
    app.post('/api/parents/parents/V2/bookList', {
      grade,
      subject,
      pageSize,
      pageNo,
      bookName
    }, 0, postData).then(res => {
      if (pageNo == 1) {
        list = res.data.list
      } else {
        list = list.concat(res.data.list)
      }
      this.setData({
        list,
        pageNo: list.length == pageSize * pageNo ? pageNo + 1 : pageNo,
        isAll: list.length < pageSize
      })
    })
  },
})